Index: trunk/SophyaLib/NTools/Makefile
===================================================================
--- trunk/SophyaLib/NTools/Makefile	(revision 3109)
+++ trunk/SophyaLib/NTools/Makefile	(revision 3123)
@@ -15,12 +15,14 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  cimage.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h cimage.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -32,4 +34,5 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -41,5 +44,6 @@
   $(SOPHYAINCP)machdefs.h nbtri.h \
   cspline.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cspline.cc
  
@@ -55,5 +59,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  dates.h
+  $(SOPHYAINCP)machdefs.h dates.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dates.cc
  
@@ -62,13 +67,15 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -88,4 +95,5 @@
   perandom.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -110,6 +118,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)srandgen.h cimage.h \
-  $(SOPHYAINCP)fioarr.h dynccd.h
+  $(SOPHYAINCP)srandgen.h \
+  classfunc.h cimage.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)fioarr.h dynccd.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)ppersist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dynccd.cc
  
@@ -119,13 +131,15 @@
   fct1dfit.h generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -138,7 +152,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h nbconst.h tabmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct1dfit.cc
@@ -149,13 +166,15 @@
   fct2dfit.h generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -168,7 +187,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h nbconst.h tabmath.h simps2d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct2dfit.cc
@@ -179,21 +201,24 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   fftmayer.h
@@ -205,21 +230,24 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   fftpackc.h
@@ -231,21 +259,24 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftservintf.cc
@@ -256,4 +287,5 @@
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)array.h \
@@ -280,5 +312,9 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h \
-  fftservintf.h fftpserver.h toeplitzMatrix.h
+  fftservintf.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  fftpserver.h toeplitzMatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  FSAppIrrSmpl.cc
  
@@ -287,4 +323,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   functab.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -296,13 +333,15 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)tarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  functab.cc
  
@@ -313,13 +352,15 @@
   generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -332,7 +373,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generaldata.cc
@@ -342,4 +386,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -352,4 +397,5 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -362,15 +408,21 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h \
-  $(SOPHYAINCP)sopemtx.h
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generalfit.cc
  
-$(SOPHYAOBJP)generalfunc.o: generalfunc.cc generalfunc.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h
+$(SOPHYAOBJP)generalfunc.o: generalfunc.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generalfunc.cc
  
@@ -379,4 +431,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   classfunc.h generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -389,4 +442,5 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -399,7 +453,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  integ.cc
@@ -413,5 +470,6 @@
   ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h poly.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -423,19 +481,25 @@
   $(SOPHYAINCP)ppfnametag.h \
   peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   generaldata.h \
   $(SOPHYAINCP)ntupintf.h cimage.h \
-  $(SOPHYAINCP)fioarr.h tabmath.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h tabmath.h \
   nbconst.h dates.h datime.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntoolsinit.cc
@@ -446,4 +510,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
@@ -463,6 +528,8 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   cimage.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)peida.h \
@@ -471,8 +538,15 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)hisprof.h \
-  generalfit.h generaldata.h \
+  generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h generalfunc.h
+  peida.h \
+  $(SOPHYAINCP)anydataobj.h \
+  generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  objfitter.cc
  
@@ -481,8 +555,10 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   perandom.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -504,5 +580,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)srandgen.h pemath.h
+  $(SOPHYAINCP)srandgen.h \
+  classfunc.h pemath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  perandom.cc
  
@@ -511,4 +588,5 @@
   $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -519,17 +597,22 @@
   $(SOPHYAINCP)ppfnametag.h \
   peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   linfit.h $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fioarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  poly.cc
@@ -540,13 +623,15 @@
   rk4cdifeq.h difeq.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -566,5 +651,7 @@
   simplesort.h peida.h \
   $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)pexceptions.h \
   fmath.h
@@ -577,27 +664,34 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  generalfit.h generaldata.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h \
   $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplex.cc
@@ -608,5 +702,7 @@
   tabmath.h peida.h \
   $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)pexceptions.h \
   fmath.h nbconst.h
@@ -618,4 +714,5 @@
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)array.h \
@@ -642,5 +739,9 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h \
-  fftservintf.h fftpserver.h
+  fftservintf.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  fftpserver.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
  
@@ -667,5 +768,6 @@
 $(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CCOMPILE) -o $@  matxop.c
  
@@ -673,5 +775,6 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)smathconst.h \
-  matxop.h nbinteg.h nbtri.h
+  $(SOPHYAINCP)machdefs.h matxop.h \
+  nbinteg.h nbtri.h
 	$(CCOMPILE) -o $@  nbmath.c
  
Index: trunk/SophyaLib/NTools/smakefile
===================================================================
--- trunk/SophyaLib/NTools/smakefile	(revision 3109)
+++ trunk/SophyaLib/NTools/smakefile	(revision 3123)
@@ -15,12 +15,14 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  cimage.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h cimage.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -32,4 +34,5 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -41,5 +44,6 @@
   $(SOPHYAINCP)machdefs.h nbtri.h \
   cspline.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cspline.cc
  
@@ -55,5 +59,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  dates.h
+  $(SOPHYAINCP)machdefs.h dates.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dates.cc
  
@@ -62,13 +67,15 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -88,4 +95,5 @@
   perandom.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -110,6 +118,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)srandgen.h cimage.h \
-  $(SOPHYAINCP)fioarr.h dynccd.h
+  $(SOPHYAINCP)srandgen.h \
+  classfunc.h cimage.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)fioarr.h dynccd.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)ppersist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dynccd.cc
  
@@ -119,13 +131,15 @@
   fct1dfit.h generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -138,7 +152,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h nbconst.h tabmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct1dfit.cc
@@ -149,13 +166,15 @@
   fct2dfit.h generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -168,7 +187,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h nbconst.h tabmath.h simps2d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct2dfit.cc
@@ -179,21 +201,24 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   fftmayer.h
@@ -205,21 +230,24 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   fftpackc.h
@@ -231,21 +259,24 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftservintf.cc
@@ -256,4 +287,5 @@
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)array.h \
@@ -280,5 +312,9 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h \
-  fftservintf.h fftpserver.h toeplitzMatrix.h
+  fftservintf.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  fftpserver.h toeplitzMatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  FSAppIrrSmpl.cc
  
@@ -287,4 +323,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   functab.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -296,13 +333,15 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)tarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  functab.cc
  
@@ -313,13 +352,15 @@
   generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -332,7 +373,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generaldata.cc
@@ -342,4 +386,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -352,4 +397,5 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -362,15 +408,21 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h \
-  $(SOPHYAINCP)sopemtx.h
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generalfit.cc
  
-$(SOPHYAOBJP)generalfunc.o: generalfunc.cc generalfunc.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h
+$(SOPHYAOBJP)generalfunc.o: generalfunc.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generalfunc.cc
  
@@ -379,4 +431,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   classfunc.h generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -389,4 +442,5 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -399,7 +453,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  integ.cc
@@ -413,5 +470,6 @@
   ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h poly.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -423,19 +481,25 @@
   $(SOPHYAINCP)ppfnametag.h \
   peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   generaldata.h \
   $(SOPHYAINCP)ntupintf.h cimage.h \
-  $(SOPHYAINCP)fioarr.h tabmath.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h tabmath.h \
   nbconst.h dates.h datime.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntoolsinit.cc
@@ -446,4 +510,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
@@ -463,6 +528,8 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   cimage.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)peida.h \
@@ -471,8 +538,15 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)hisprof.h \
-  generalfit.h generaldata.h \
+  generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h generalfunc.h
+  peida.h \
+  $(SOPHYAINCP)anydataobj.h \
+  generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  objfitter.cc
  
@@ -481,8 +555,10 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   perandom.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -504,5 +580,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)srandgen.h pemath.h
+  $(SOPHYAINCP)srandgen.h \
+  classfunc.h pemath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  perandom.cc
  
@@ -511,4 +588,5 @@
   $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -519,17 +597,22 @@
   $(SOPHYAINCP)ppfnametag.h \
   peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   linfit.h $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fioarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  poly.cc
@@ -540,13 +623,15 @@
   rk4cdifeq.h difeq.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -566,5 +651,7 @@
   simplesort.h peida.h \
   $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)pexceptions.h \
   fmath.h
@@ -577,27 +664,34 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  generalfit.h generaldata.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)ntupintf.h poly.h \
   peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)anydataobj.h \
   generalfunc.h \
   $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplex.cc
@@ -608,5 +702,7 @@
   tabmath.h peida.h \
   $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)pexceptions.h \
   fmath.h nbconst.h
@@ -618,4 +714,5 @@
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)array.h \
@@ -642,5 +739,9 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h \
-  fftservintf.h fftpserver.h
+  fftservintf.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  fftpserver.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
  
@@ -667,5 +768,6 @@
 $(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CCOMPILE) -o $@  matxop.c
  
@@ -673,5 +775,6 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)smathconst.h \
-  matxop.h nbinteg.h nbtri.h
+  $(SOPHYAINCP)machdefs.h matxop.h \
+  nbinteg.h nbtri.h
 	$(CCOMPILE) -o $@  nbmath.c
  
